<?php

namespace App\Console\Commands;

use App\Models\User;
use App\Models\Wallet;
use Illuminate\Console\Command;
use App\Helpers\WalletHelper;

class AddWalletsToUsers extends Command
{
    protected $signature = 'wallets:add';
    protected $description = 'Add wallets to existing users';

    public function handle()
    {
        $users = User::all();

        foreach ($users as $user) {
            if (!$user->wallet) {
                Wallet::create([
                    'user_id' => $user->id,
                    'wallet_number' => WalletHelper::generateUniqueWalletNumber(), // Use the helper function
                    'balance' => 0.00,
                ]);
                $this->info("Wallet created for user: {$user->email}");
            }
        }

        $this->info('Wallets added successfully!');
    }
}
