<?php

namespace App\Helpers;

use App\Models\Wallet;

use Illuminate\Support\Str;
use App\Models\SubWallet;
use App\Models\Transaction;

class WalletHelper
{
    public static function generateUniqueWalletNumber()
    {
        do {
            $walletNumber = str_pad(mt_rand(0, 9999999999), 10, '0', STR_PAD_LEFT); // Generate 10-digit number
        } while (Wallet::where('wallet_number', $walletNumber)->exists()); // Ensure uniqueness

        return $walletNumber;
    }

    public static function generateTransactionReference()
    {
        do {
            $reference = 'TX-' . time() . '-' . Str::upper(Str::random(6));
        } while (Transaction::where('reference', $reference)->exists());

        return $reference;
    }
}