<?php

namespace App\Http\Middleware;
use App\Models\Card; 
use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CheckPinAttempts
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    // app/Http/Middleware/CheckPinAttempts.php
    public function handle($request, Closure $next)
    {
        $card = Card::where('card_number', $request->card_number)->first();

        if ($card && $card->pin_attempts >= 3) {
            return redirect()->back()->with('error', 'Card locked. Try again later');
        }

        return $next($request);
    }
}
