<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    use HasFactory;

    protected $fillable = [
        'wallet_id',
        'sub_wallet_id',
        'amount',
        'type',
        'reference',
        'transaction_category',
        'narration',
        'description',
        'balance_before',
        'balance_after',
        'status',
    ];

    public function wallet()
    {
        return $this->belongsTo(Wallet::class);
    }

    public function subWallet()
    {
        return $this->belongsTo(SubWallet::class);
    }
}