<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use App\Models\Kyc;

class KycStatusUpdated extends Notification
{
    use Queueable;

    protected $kyc;

    public function __construct(Kyc $kyc)
    {
        $this->kyc = $kyc;
    }

    public function via($notifiable)
    {
        return ['mail', 'database'];
    }

    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('KYC Status Updated')
            ->line('Your KYC submission has been ' . $this->kyc->status . '.')
            ->line('Review Notes: ' . ($this->kyc->review_notes ?? 'N/A'))
            ->action('View Dashboard', url('/dashboard'))
            ->line('Thank you for using our platform!');
    }

    public function toArray($notifiable)
    {
        return [
            'message' => 'Your KYC submission has been ' . $this->kyc->status . '.',
            'link' => '/dashboard',
        ];
    }
}
