<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       // Schema::create('kycs', function (Blueprint $table) {
       //     $table->id();
       //     $table->timestamps();
       // });

        Schema::create('kycs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Links to the user
            $table->string('id_type'); // e.g., National ID, Passport
            $table->string('id_number'); // ID number
            $table->string('id_image'); // Path to uploaded ID image
            $table->string('proof_of_address'); // Path to uploaded proof of address
            $table->string('status')->default('pending'); // Status: pending, approved, rejected
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('kycs');
    }
};
