<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('wallets', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->string('wallet_number', 10)->unique(); // Ensure 10 digits and unique
            $table->decimal('balance', 10, 2)->default(0.00);
            $table->timestamps();
        });

        Schema::table('wallets', function (Blueprint $table) {
            $table->string('wallet_number', 10)->unique()->change(); // Update column
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('wallets');

        Schema::table('wallets', function (Blueprint $table) {
            $table->string('wallet_number')->change(); // Revert changes
        });
    }
};
