<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cards', function (Blueprint $table) {
            $table->id();
            $table->string('card_number', 11)->unique(); // 11-digit string (e.g., "12345678901")
            $table->foreignId('user_id')->nullable()->constrained()->onDelete('cascade'); // Make user_id nullable
            $table->foreignId('wallet_id')->nullable()->constrained()->onDelete('cascade'); // Make wallet_id nullable
            $table->string('qr_code_path'); // Path to QR code image
            $table->dateTime('activation_date')->nullable();
            $table->dateTime('expiry_date')->nullable();
            $table->dateTime('renewal_date')->nullable();
            $table->enum('status', ['active', 'inactive', 'expired'])->default('inactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cards');
    }
};
