<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('kycs', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->string('full_name');
            $table->date('date_of_birth');
            $table->enum('gender', ['male', 'female', 'other']);
            $table->string('nationality');
            $table->string('residential_address');
            $table->string('phone_number');
            $table->string('nin')->nullable(); // National Identification Number
            $table->string('id_type'); // e.g., NIN, Passport, Driver’s License, PVC
            $table->string('id_number');
            $table->string('id_image'); // Path to uploaded ID document
            $table->string('selfie'); // Path to uploaded selfie
            $table->string('utility_bill'); // Path to uploaded utility bill
            $table->enum('status', ['pending', 'approved', 'rejected'])->default('pending');
            $table->timestamps();
        });
    }
};
