<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('business_name');
            $table->string('admin_name')->nullable();
            $table->string('country_code')->default('+234');
            $table->string('sector');
            $table->text('address');
            // Remove these if no longer needed:
            $table->dropColumn(['role', 'vendor_category']);
        });
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['business_name', 'admin_name', 'country_code', 'sector', 'address']);
            // Add back if rolling back:
            $table->string('role');
            $table->string('vendor_category')->nullable();
        });
    }
};
