<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            // Add new fields
            //$table->string('business_name');
            $table->string('admin_name')->nullable();
            $table->string('sector');
            $table->text('address');
            $table->string('country_code')->default('+234');

            // If these don't exist already
            //$table->string('role')->default('beneficiary');
            $table->string('vendor_category')->nullable();
        });
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'business_name',
                'admin_name',
                'sector',
                'address',
                'country_code',
                'role',
                'vendor_category'
            ]);
        });
    }
};
