<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('wallet_id');
            $table->unsignedBigInteger('sub_wallet_id')->nullable();
            $table->decimal('amount', 10, 2);
            $table->enum('type', ['opening_balance', 'credit', 'debit']);
            $table->string('reference')->unique();
            $table->string('narration')->nullable();
            $table->decimal('balance_before', 10, 2);
            $table->decimal('balance_after', 10, 2);
            $table->timestamps();

            // Foreign keys
            $table->foreign('wallet_id')->references('id')->on('wallets');
            $table->foreign('sub_wallet_id')->references('id')->on('sub_wallets');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transactions');
    }
};
