<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    // database/migrations/[timestamp]_add_pin_attempts_to_cards.php
    public function up()
    {
        Schema::table('cards', function (Blueprint $table) {
            $table->unsignedTinyInteger('pin_attempts')->default(0)->after('status');
            $table->timestamp('last_pin_attempt')->nullable()->after('pin_attempts');
        });
    }

    public function down()
    {
        Schema::table('cards', function (Blueprint $table) {
            $table->dropColumn(['pin_attempts', 'last_pin_attempt']);
        });
    }
};
