<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            // Add service account column if it doesn't exist
            if (!Schema::hasColumn('users', 'is_service_account')) {
                $table->boolean('is_service_account')->default(false);
            }
        });

        // Create service account user with existing columns
        DB::table('users')->insert([
            'first_name' => 'API',
            'last_name' => 'Client',
            'email' => 'api@yourdomain.com',
            'password' => Hash::make(Str::random(32)),
            'role' => 'vendor', // or create a new 'service_account' role
            'is_service_account' => true,
            'address' => 'System Generated',
            'country_code' => '+234',
            'created_at' => now(),
            'updated_at' => now()
        ]);
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('is_service_account');
        });
    }
};
