<?php

namespace Database\Seeders;

use App\Models\User;
use App\Models\Wallet;
use Illuminate\Database\Seeder;
use App\Helpers\WalletHelper;


class AddWalletsToUsers extends Seeder
{
    public function run()
    {
        $users = User::all();

        foreach ($users as $user) {
            if (!$user->wallet) {
                Wallet::create([
                    'user_id' => $user->id,
                    'wallet_number' => WalletHelper::generateUniqueWalletNumber(), // Use the helper function
                    'balance' => 0.00,
                ]);
            }
        }
    }
}
