let us build the transaction feature. this is how transactions work.
the beneficiary has wallet number which is tied to 6 category subwallets
('housing', 'education', 'health', 'food', 'finance', 'utility'). the donor has his wallet.
the donor funds his wallet using paystack, flutterwave or offline payment.
the donor donates to the subwallet of the beneficiary by picking a category.
beneficiary gets a card. beneficiary activates a card by entering card number,
his wallet number, and 4 digits pin. activated card gets tied to beneficiary id.
beneficiary takes card to vendor to buy goods. vendor will click on scan qrcode button,
qrcode function will be activated, if card is scanned and the card is in the cards table 
and activated. vendor will be taken to a screen, the card number will be un editable,
vendor will enter amount, enter category, enter short details and submit. if the category of subwallet which 
beneficiary has available funds match the category of the vendor, the next screen will say enter pin if not it 
would say, no funds in matching sub wallet. this is to say a vendor under health category can only transact from 
health sub wallet. if beneficiary enters pin and transaction is successful an alert will pop up, else 
if no sufficient fund, alert will say insufficient funds in sub wallet.



note the neccessary tables to help build this.

let us start that bulding a simple transactions feature where the vendor will enter the card number,
enter the amount, enter details of transaction and when he submits, the next screen will ask 
for beneficiary card pin, assume that beneficiary has his subwallet credited already.

make this process simple and clean

CREATE TABLE transactions (
  id bigint(20) UNSIGNED NOT NULL,
  card_id bigint(20) UNSIGNED NOT NULL,
  vendor_id bigint(20) UNSIGNED NOT NULL,
  amount decimal(10,2) NOT NULL,
  type enum('credit','debit') NOT NULL,
  donation_type enum('card','bulk') DEFAULT NULL,
  description varchar(255) NOT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE cards (
  id bigint(20) UNSIGNED NOT NULL,
  card_number varchar(11) NOT NULL,
  hashed_pin varchar(255) DEFAULT NULL,
  user_id bigint(20) UNSIGNED DEFAULT NULL,
  wallet_id bigint(20) UNSIGNED DEFAULT NULL,
  qr_code_path varchar(255) NOT NULL,
  activation_date datetime DEFAULT NULL,
  expiry_date datetime DEFAULT NULL,
  renewal_date datetime DEFAULT NULL,
  status enum('active','inactive','expired') NOT NULL DEFAULT 'inactive',
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE sub_wallets (
  id bigint(20) UNSIGNED NOT NULL,
  wallet_id bigint(20) UNSIGNED NOT NULL,
  category enum('housing','education','health','food','finance','utility') NOT NULL,
  balance decimal(10,2) NOT NULL DEFAULT 0.00,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE wallets (
  id bigint(20) UNSIGNED NOT NULL,
  user_id bigint(20) UNSIGNED NOT NULL,
  wallet_number varchar(15) NOT NULL,
  balance decimal(10,2) NOT NULL DEFAULT 0.00,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL,
  number varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE vendors (
  id bigint(20) UNSIGNED NOT NULL,
  user_id bigint(20) UNSIGNED NOT NULL,
  category enum('housing','education','health','food','finance','utility') NOT NULL,
  created_at timestamp NULL DEFAULT NULL,
  updated_at timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;