@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    <h1 class="card-title mb-0">Generate New Cards (Admin Only)</h1>
                </div>

                <div class="card-body">
                    <!-- Display success message -->
                    @if (session('success'))
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    @endif

                    <!-- Display error message -->
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul class="mb-0">
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif

                    <!-- Card Generation Form -->
                    <form action="{{ route('cards.generate') }}" method="POST">
                        @csrf
                        <div class="form-group mb-3">
                            <label for="count" class="form-label">Number of Cards to Generate</label>
                            <input
                                type="number"
                                name="count"
                                id="count"
                                class="form-control @error('count') is-invalid @enderror"
                                min="1"
                                max="100"
                                required
                                value="{{ old('count') }}"
                            >
                            <!-- Display validation error for count -->
                            @error('count')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>

                        <button type="submit" class="btn btn-primary w-100">Generate Cards</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection