@extends('adminlte::page')

@section('title', 'Pending KYC Submissions')

@section('content_header')
<h1>Pending KYC Submissions</h1>
@stop

@section('content')
<div class="card">
    <div class="card-body">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>User</th>
                    <th>Full Name</th>
                    <th>Submitted On</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($kycs as $kyc)
                    <tr>
                        <td>{{ $kyc->user->email }}</td>
                        <td>{{ $kyc->full_name }}</td>
                        <td>{{ $kyc->created_at->format('Y-m-d') }}</td>
                        <td>
                            <a href="{{ route('admin.kyc.show', $kyc) }}" class="btn btn-sm btn-primary">Review</a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
        <div class="card-footer clearfix">
            {{ $kycs->links() }}
        </div>
    </div>
</div>
@stop