<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register - Akilaah</title>
    <!-- Option A: Bootstrap CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ mix('css/app.css') }}" rel="stylesheet">

    <style>

        body {
                    min-height: 100vh;
                    margin: 0;
                    padding: 0;
                    background-color: #fff;
                    font-family: 'Nunito', sans-serif;
                    
                }
        /* Two-column layout for large screens */
        .register-container {
            min-height: 100vh;
        }
        .register-left {
            background: url('/images/handshake.jpg') no-repeat center center;
            background-size: cover;
        }
        @media (max-width: 768px) {
            .register-left {
                display: none; /* Hide image on small screens */
            }
        }

        /* Right column styling */
        .register-right {
            background-color: #fff;
            display: flex;
            flex-direction: column;
            justify-content: center;
            padding: 2rem;
        }

        /* Header area */
        .register-header img {
            max-height: 50px;
            margin-bottom: 1rem;
        }
        .register-header h2 {
            font-size: 1.75rem;
            font-weight: 600;
            margin-bottom: 0.5rem;
            color: #1A1A1A;
        }
        .register-header h5 {
            font-size: 1.1rem;
            color: #555;
            margin-bottom: 1.5rem;
        }

        /* Form styling */
        .needs-validation {
            background-color: #fff;
            padding: 1.5rem;
            border: 1px solid #eaeaea;
            border-radius: 0.5rem;
            box-shadow: 0 0 10px rgba(0,0,0,0.03);
        }
        .form-label {
            font-weight: 500;
            color: #333;
        }
        .btn-primary {
            background-color: #00205b;
            border-color: #0052cc;
            color: #fff;
        }
        .btn-primary:hover {
            background-color: #001743;
            border-color: #003d99;
            color: #fff;
        }
        .form-check-label a {
            color: #d49a22;
            text-decoration: none;
        }
        .form-check-label a:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body>
<div class="container-fluid register-container">
    <div class="row h-100">
        <!-- Left column: handshake image -->
        <div class="col-md-6 register-left d-none d-md-block"></div>

        <!-- Right column: Registration form -->
        <div class="col-md-6 register-right">
            <!-- Header -->
            <div class="register-header mb-4">
                <img src="/images/akilaah-logo.png" alt="akilaah Logo" />
                <h2>Create Account</h2>
                <h5>Partner Registration</h5>
            </div>

            <!-- Registration Form -->
            <form action="{{ route('register') }}" method="POST" class="needs-validation" novalidate>
                @csrf

                <!-- Role Selection -->
                <div class="mb-3">
                    <label for="role" class="form-label">Register As <span class="text-danger">*</span></label>
                    <select name="role" id="role" class="form-select @error('role') is-invalid @enderror" required>
                        <option value="">Select Role</option>
                        <option value="beneficiary" {{ old('role') == 'beneficiary' ? 'selected' : '' }}>Beneficiary</option>
                        <option value="vendor" {{ old('role') == 'vendor' ? 'selected' : '' }}>Vendor</option>
                        <option value="donor" {{ old('role') == 'donor' ? 'selected' : '' }}>Donor</option>
                    </select>
                    @error('role')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>

                <!-- Vendor Fields -->
                <div id="vendor-fields" style="display: none;">
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label for="business_name" class="form-label">Business Name <span class="text-danger">*</span></label>
                            <input type="text" name="business_name" id="business_name"
                                   class="form-control @error('business_name') is-invalid @enderror"
                                   value="{{ old('business_name') }}">
                            @error('business_name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="admin_name" class="form-label">Admin Name <span class="text-danger">*</span></label>
                            <input type="text" name="admin_name" id="admin_name"
                                   class="form-control @error('admin_name') is-invalid @enderror"
                                   value="{{ old('admin_name') }}">
                            @error('admin_name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <!-- Sector Field -->
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label for="sector" class="form-label">Sector <span class="text-danger">*</span></label>
                            <select name="sector" id="sector"
                                    class="form-select @error('sector') is-invalid @enderror">
                                <option value="">Pick an option</option>
                                <option value="housing">Housing</option>
                                <option value="education">Education</option>
                                <option value="health">Health</option>
                                <option value="food">Food</option>
                                <option value="finance">Finance</option>
                                <option value="utility">Utility</option>
                            </select>
                            @error('sector')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- Individual Fields -->
                <div id="individual-fields" style="display: none;">
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label for="first_name" class="form-label">First Name <span class="text-danger">*</span></label>
                            <input type="text" name="first_name" id="first_name"
                                   class="form-control @error('first_name') is-invalid @enderror"
                                   value="{{ old('first_name') }}">
                            @error('first_name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="last_name" class="form-label">Last Name <span class="text-danger">*</span></label>
                            <input type="text" name="last_name" id="last_name"
                                   class="form-control @error('last_name') is-invalid @enderror"
                                   value="{{ old('last_name') }}">
                            @error('last_name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- Common Fields -->
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="phone" class="form-label">Phone Number <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <select class="form-select @error('country_code') is-invalid @enderror"
                                    name="country_code" style="max-width: 100px;">
                                <option value="+234" selected>+234</option>
                            </select>
                            <input type="tel" name="phone" id="phone"
                                   class="form-control @error('phone') is-invalid @enderror"
                                   value="{{ old('phone') }}" required>
                        </div>
                        @error('phone')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="email" class="form-label">Email <span class="text-danger">*</span></label>
                        <input type="email" name="email" id="email"
                               class="form-control @error('email') is-invalid @enderror"
                               value="{{ old('email') }}" required>
                        @error('email')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6 mb-3">
                        <label for="password" class="form-label">Password <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="password" name="password" id="password"
                                   class="form-control @error('password') is-invalid @enderror" required>
                            <button class="btn btn-outline-secondary" type="button" id="togglePassword">
                                <i class="bi bi-eye"></i>
                            </button>
                        </div>
                        @error('password')
                            <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-6 mb-3">
                        <label for="password_confirmation" class="form-label">Confirm Password <span class="text-danger">*</span></label>
                        <input type="password" name="password_confirmation" id="password_confirmation"
                               class="form-control" required>
                    </div>
                </div>

                <div class="mb-3">
                    <label for="address" class="form-label">Address <span class="text-danger">*</span></label>
                    <textarea name="address" id="address"
                              class="form-control @error('address') is-invalid @enderror"
                              rows="3" required>{{ old('address') }}</textarea>
                    @error('address')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>

                <div class="mb-3 form-check">
                    <input type="checkbox" name="terms" id="terms"
                           class="form-check-input @error('terms') is-invalid @enderror" required>
                    <label class="form-check-label" for="terms">
                        By creating an account means you agree to the
                        <a href="{{ route('terms') }}">Terms and Conditions</a>,
                        and our <a href="{{ route('privacy') }}">Privacy Policy</a>
                    </label>
                    @error('terms')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>

                <button type="submit" class="btn btn-primary w-100">Submit</button>
                <div class="mt-3 text-center form-check-label">
                    Already registered? <a href="{{ route('login') }}">Login here</a>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- Option A: Bootstrap CDN (JS) -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

<script>
    // Role-based field toggling
    const roleSelect = document.getElementById('role');
    const vendorFields = document.getElementById('vendor-fields');
    const individualFields = document.getElementById('individual-fields');

    function toggleFields() {
        const isVendor = roleSelect.value === 'vendor';
        const isIndividual = ['beneficiary', 'donor'].includes(roleSelect.value);

        // Toggle visibility
        vendorFields.style.display = isVendor ? 'block' : 'none';
        individualFields.style.display = isIndividual ? 'block' : 'none';

        // Toggle required attributes
        document.getElementById('business_name').required = isVendor;
        document.getElementById('admin_name').required = isVendor;
        document.getElementById('sector').required = isVendor;
        document.getElementById('first_name').required = isIndividual;
        document.getElementById('last_name').required = isIndividual;
    }

    roleSelect.addEventListener('change', toggleFields);
    window.addEventListener('load', toggleFields);

    // Password visibility toggle
    document.getElementById('togglePassword').addEventListener('click', function() {
        const password = document.getElementById('password');
        const type = (password.getAttribute('type') === 'password') ? 'text' : 'password';
        password.setAttribute('type', type);
        this.querySelector('i').classList.toggle('bi-eye-slash');
    });
</script>
<script src="{{ mix('js/app.js') }}"></script>
</body>
</html>
