@extends('layouts.beneficiary')

@section('page-title', 'Dashboard')

@section('vendor-content')
<div class="container mt-4">
    <h2 class="mb-3">Activate Your Card</h2>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    <form method="POST" action="{{ route('card.activate.process') }}">
        @csrf

        <!-- Card Number -->
        <div class="mb-3">
            <label for="card_number" class="form-label">Card Number</label>
            <input type="text" class="form-control" id="card_number" name="card_number" required>
        </div>

        <!-- Wallet Number -->
        <div class="mb-3">
            <label for="wallet_number" class="form-label">Wallet Number</label>
            <input type="text" class="form-control" id="wallet_number" name="wallet_number" required>
        </div>

        <!-- PIN Input -->
        <div class="mb-3">
            <label for="pin" class="form-label">Set a 4-digit PIN</label>
            <input type="password" class="form-control" id="pin" name="pin" maxlength="4" required>
        </div>

        <button type="submit" class="btn btn-primary">Activate Card</button>
    </form>
</div>
@endsection
