@extends('adminlte::page')

@section('title', 'Activate Card')

@section('content_header')
<h1>Make a Donation</h1>
@stop

@section('content')
<div class="card">
    <div class="card-body">
        <form action="{{ route('donations.process.bulk') }}" method="POST">
            @csrf
            <div class="form-group">
                <label>Amount per Beneficiary</label>
                <input type="number" step="0.01" name="amount" class="form-control" required>
            </div>
            <div class="form-group">
                <label>Sub-Wallet</label>
                <select name="sub_wallet" class="form-control" required>
                    <option value="housing">Housing</option>
                    <option value="education">Education</option>
                    <option value="health">Health</option>
                    <option value="food">Food</option>
                    <option value="finance">Finance</option>
                    <option value="utility">Utility</option>
                </select>
            </div>

            <!-- Beneficiary Filter -->
            <div class="form-group">
                <label>Search Beneficiaries</label>
                <input type="text" name="search" class="form-control" placeholder="Search by name"
                    value="{{ request('search') }}">
                <button type="submit" class="btn btn-sm btn-primary mt-2">Filter</button>
            </div>

            <!-- Beneficiary List -->
            <div class="form-group">
                <label>Select Beneficiaries</label>
                <table class="table">
                    <thead>
                        <tr>
                            <th>Select</th>
                            <th>Name</th>
                            <th>Email</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($beneficiaries as $beneficiary)
                            <tr>
                                <td>
                                    <input type="checkbox" name="beneficiaries[]" value="{{ $beneficiary->id }}">
                                </td>
                                <td>{{ $beneficiary->name }}</td>
                                <td>{{ $beneficiary->email }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>

            <!-- Pagination Links -->
            <div class="d-flex justify-content-center">
                {{ $beneficiaries->appends(request()->query())->links() }}
            </div>

            <button type="submit" class="btn btn-primary">Donate</button>
        </form>
    </div>
</div>
@stop