@extends('adminlte::page')

@section('title', 'Akilaah - Home')

@section('content_header')
    <h1>Welcome to Akilaah</h1>
@stop

@section('content')
    <!-- Hero Section -->
    <div class="hero-section text-center py-5 bg-light">
        <h2>{{ $sections['hero_title'] ?? 'Empowering Communities' }}</h2>
        <p class="lead">{{ $sections['hero_description'] ?? 'Join us in making a difference.' }}</p>
        <a href="{{ route('register') }}" class="btn btn-primary btn-lg">Get Started</a>
    </div>

    <!-- Features Section -->
    <div class="features-section py-5">
        <div class="container">
            <h3 class="text-center mb-4">{{ $sections['features_title'] ?? 'Our Features' }}</h3>
            <div class="row">
                <div class="col-md-4 text-center">
                    <h4>Secure Wallets</h4>
                    <p>Manage your funds securely with our digital wallets.</p>
                </div>
                <div class="col-md-4 text-center">
                    <h4>Easy Transactions</h4>
                    <p>Send and receive funds with ease.</p>
                </div>
                <div class="col-md-4 text-center">
                    <h4>24/7 Support</h4>
                    <p>We're here to help you anytime.</p>
                </div>
            </div>
        </div>
    </div>

    <!-- Testimonials Section -->
    <div class="testimonials-section py-5 bg-light">
        <div class="container">
            <h3 class="text-center mb-4">{{ $sections['testimonials_title'] ?? 'What Our Users Say' }}</h3>
            <div class="row">
                <div class="col-md-6">
                    <blockquote class="blockquote">
                        <p>"Akilah has changed the way I manage my finances. Highly recommended!"</p>
                        <footer class="blockquote-footer">User 1</footer>
                    </blockquote>
                </div>
                <div class="col-md-6">
                    <blockquote class="blockquote">
                        <p>"The support team is amazing. They helped me resolve my issues quickly."</p>
                        <footer class="blockquote-footer">User 2</footer>
                    </blockquote>
                </div>
            </div>
        </div>
    </div>

    <!-- Contact Section -->
    <div class="contact-section py-5">
        <div class="container">
            <h3 class="text-center mb-4">{{ $sections['contact_title'] ?? 'Contact Us' }}</h3>
            <form>
                <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" class="form-control" id="name" placeholder="Enter your name">
                </div>
                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Enter your email">
                </div>
                <div class="form-group">
                    <label for="message">Message</label>
                    <textarea class="form-control" id="message" rows="3" placeholder="Enter your message"></textarea>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
@stop

@section('adminlte_css')
    <link rel="stylesheet" href="{{ asset('css/app.css') }}">
@stop

@section('adminlte_js')
    <script src="{{ asset('js/app.js') }}" defer></script>
@stop