@extends('adminlte::page')

@section('title', 'Submit KYC')

@section('content_header')
    <h1>Submit KYC</h1>
@stop

@section('content')
    <form action="{{ route('kyc.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <!-- Personal Information -->
        <div class="form-group">
            <label for="full_name">Full Name</label>
            <input type="text" name="full_name" id="full_name" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="date_of_birth">Date of Birth</label>
            <input type="date" name="date_of_birth" id="date_of_birth" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="gender">Gender</label>
            <select name="gender" id="gender" class="form-control" required>
                <option value="male">Male</option>
                <option value="female">Female</option>
                <option value="other">Other</option>
            </select>
        </div>
        <div class="form-group">
            <label for="nationality">Nationality</label>
            <input type="text" name="nationality" id="nationality" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="residential_address">Residential Address</label>
            <input type="text" name="residential_address" id="residential_address" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="phone_number">Phone Number</label>
            <input type="text" name="phone_number" id="phone_number" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="nin">National Identification Number (NIN)</label>
            <input type="text" name="nin" id="nin" class="form-control">
        </div>

        <!-- Identity Verification -->
        <div class="form-group">
            <label for="id_type">ID Type</label>
            <select name="id_type" id="id_type" class="form-control" required>
                <option value="nin">National ID Card (NIN)</option>
                <option value="passport">International Passport</option>
                <option value="driver_license">Driver’s License</option>
                <option value="pvc">Permanent Voter’s Card (PVC)</option>
            </select>
        </div>
        <div class="form-group">
            <label for="id_number">ID Number</label>
            <input type="text" name="id_number" id="id_number" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="id_image">Upload ID Document</label>
            <input type="file" name="id_image" id="id_image" class="form-control" required>
        </div>
        <div class="form-group">
            <label for="selfie">Upload Selfie</label>
            <input type="file" name="selfie" id="selfie" class="form-control" required>
        </div>

        <!-- Address Verification -->
        <div class="form-group">
            <label for="utility_bill">Upload Utility Bill</label>
            <input type="file" name="utility_bill" id="utility_bill" class="form-control" required>
        </div>

        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
@stop