<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Beneficiary Dashboard | Akilaah</title>
    <!-- Bootstrap 5 (CDN) -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <!-- Font Awesome (CDN) for icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" />

    <style>
        body {
            font-family: 'Nunito', sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
        }

        .sidebar {
            width: 240px;
            background-color: #fff;
            min-height: 100vh;
            border-right: 1px solid #eaeaea;
        }

        .sidebar .nav-link {
            color: #333;
            padding: 1rem;
            border-bottom: 1px solid #eaeaea;
        }

        .sidebar .nav-link:hover {
            background-color: #f5f5f5;
        }

        .sidebar .nav-link.active {
            background-color: #eaeaea;
            font-weight: 600;
        }

        .topbar {
            height: 70px;
            background-color: #fff;
            border-bottom: 1px solid #eaeaea;
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0 1.5rem;
        }

        .topbar .page-title {
            margin: 0;
            font-size: 1.25rem;
        }

        .logo img {
            height: 40px;
        }

        .top-right-menu {
            display: flex;
            align-items: center;
            gap: 20px;
        }

        .notification-icon,
        .message-icon {
            position: relative;
            cursor: pointer;
            font-size: 1.2rem;
        }

        .notification-icon .badge,
        .message-icon .badge {
            position: absolute;
            top: -5px;
            right: -5px;
            font-size: 0.7rem;
            padding: 4px 6px;
        }

        .user-profile {
            position: relative;
            cursor: pointer;
        }

        .user-profile img {
            width: 40px;
            height: 40px;
            border-radius: 50%;
            object-fit: cover;
        }

        .profile-dropdown {
            position: absolute;
            width: 250px;
            right: 0;
            top: 50px;
            background-color: #fff;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            padding: 15px;
            border-radius: 8px;
            display: none;
            z-index: 1000;
        }

        .profile-dropdown.show {
            display: block;
        }

        .profile-dropdown img {
            width: 60px;
            height: 60px;
            border-radius: 50%;
        }

        .nav-toggle {
            display: none;
            /* For mobile toggling if needed */
        }

        @media (max-width: 992px) {
            .sidebar {
                display: none;
                /* Hide sidebar on smaller screens or add a toggle */
            }

            .nav-toggle {
                display: block;
            }
        }
    </style>
    @stack('styles')
</head>

<body>
    <div class="d-flex">
        <!-- Sidebar -->
        <div class="sidebar d-none d-lg-block">
            <div class="p-3 mb-3">
                <a href="#" class="logo">
                    <img src="/images/akilaah-logo.png" alt="Akilaah Logo">
                </a>
            </div>
            <nav class="nav flex-column">
                <a class="nav-link active" href="{{ route('vendor.dashboard') }}">
                    <i class="fa fa-home me-2"></i> Home
                </a>
                <a class="nav-link" href="#">
                    <i class="fa fa-money-bill-wave me-2"></i> Donations
                </a>
                <a class="nav-link" href="#">
                    <i class="fa fa-wallet me-2"></i> My Wallet
                </a>
                
                <a class="nav-link" href="{{ route('card.activate') }}">
                    <i class="fa fa-money-bill-wave me-2"></i> Card
                </a>
                
                <a class="nav-link" href="#">
                    <i class="fa fa-cog me-2"></i> Settings
                </a>
                <!-- Log Out -->
                <a class="nav-link text-danger" href="{{ route('logout') }}"
                    onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                    <i class="fa fa-sign-out-alt me-2"></i> Log Out
                </a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                    @csrf
                </form>
            </nav>
        </div>

        <!-- Main Content Area -->
        <div class="flex-grow-1">
            <!-- Topbar -->
            <div class="topbar">
                <div class="page-title">
                    @yield('page-title', 'Vendor Dashboard')
                </div>

                <!-- Top Right Menu -->
                <div class="top-right-menu">
                    <!-- Notifications -->
                    <div class="notification-icon position-relative">
                        <i class="fa fa-bell"></i>
                        <span class="badge bg-danger">1</span>
                    </div>

                    <!-- Messages -->

                    <div class="message-icon position-relative">
                        <i class="fa fa-comments"></i>
                        <span class="badge bg-secondary">2</span>
                    </div>


                    <!-- User Profile -->
                    <div class="user-profile" id="profileToggle">
                        <div class="d-flex align-items-center">
                            <img src="/images/profile.png" alt="User">
                            <div class="ms-2">
                                <!--<p class="m-0 fw-bold">{{ Auth::user()->business_name }}</p>-->
                                <small class="text-muted">{{ Auth::user()->wallet->wallet_number ?? 'N/A' }}</small><br>
                                <small class="text-muted">{{ now()->format('d F, Y - g:i A') }}</small>
                            </div>
                        </div>

                        <!-- Profile Dropdown -->
                        <div class="profile-dropdown" id="profileDropdown">
                            <div class="text-center">
                                <img src="/images/profile.png" class="rounded-circle mb-2" alt="Profile">
                                <h6 class="fw-bold">{{ Auth::user()->business_name }}</h6>
                                <small class="text-muted">{{ Auth::user()->wallet->wallet_number ?? 'N/A' }}</small><br>
                            </div>
                            <hr>
                            <div class="d-flex justify-content-between">
                                <p class="m-0">Reg Date</p>
                                <p class="fw-bold">{{ Auth::user()->created_at->format('d F, Y') }}</p>
                            </div>

                            @php
                                $kyc = Auth::user()->kyc; // Assuming a relationship exists in the User model
                                $kycStatus = $kyc->status ?? 'pending'; // Default to pending if no KYC record
                                $statusColor = match ($kycStatus) {
                                    'approved' => 'text-success',
                                    'pending' => 'text-warning',
                                    'rejected' => 'text-danger',
                                };
                                $statusIcon = match ($kycStatus) {
                                    'approved' => 'fa-check-circle',
                                    'pending' => 'fa-clock',
                                    'rejected' => 'fa-times-circle',
                                };
                            @endphp

                            <div class="d-flex justify-content-between">
                                <p class="m-0">KYC Status</p>
                                <p class="fw-bold {{ $statusColor }}">
                                    <i class="fa {{ $statusIcon }}"></i>
                                    {{ ucfirst($kycStatus) }}
                                </p>
                            </div>

                            <hr>
                            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                @csrf
                            </form>

                            <button class="btn btn-outline-danger w-100"
                                onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                Log Out <i class="fa fa-sign-out-alt"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Main content -->
            <div class="main-content">
                @yield('vendor-content')
            </div>
        </div>
    </div>

    <!-- Bootstrap Bundle (with Popper) -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        document.addEventListener("DOMContentLoaded", function () {
            const profileToggle = document.getElementById("profileToggle");
            const profileDropdown = document.getElementById("profileDropdown");

            profileToggle.addEventListener("click", function () {
                profileDropdown.classList.toggle("show");
            });

            document.addEventListener("click", function (event) {
                if (!profileToggle.contains(event.target) && !profileDropdown.contains(event.target)) {
                    profileDropdown.classList.remove("show");
                }
            });
        });
    </script>

    @stack('scripts')
</body>

</html>