@extends('layouts.vendor')

@section('page-title', 'Dashboard')

@section('vendor-content')
<div class="container mt-4">
    <h2 class="mb-3">Enter PIN</h2>

    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    <form method="POST" action="{{ route('transaction.process') }}">
        @csrf

        <!-- Hidden Fields -->
        <input type="hidden" name="card_number" value="{{ $card_number }}">
        <input type="hidden" name="amount" value="{{ $amount }}">
        <input type="hidden" name="description" value="{{ $description }}">

        <!-- PIN Input -->
        <div class="mb-3">
            <label for="pin" class="form-label">Enter 4-digit PIN</label>
            <input type="password" class="form-control" id="pin" name="pin" maxlength="4" required>
        </div>

        <button type="submit" class="btn btn-success">Confirm Transaction</button>
    </form>
</div>
@endsection
