@extends('layouts.app')

@section('content')
<div class="container">
    <h2>Transaction History</h2>
    <table class="table">
        <thead>
            <tr>
                <th>Date</th>
                <th>Type</th>
                <th>Amount</th>
                <th>Description</th>
                <th>Category</th>
                <th>Balance</th>
            </tr>
        </thead>
        <tbody>
            @foreach($transactions as $transaction)
            <tr>
                <td>{{ $transaction->created_at->format('d M Y H:i') }}</td>
                <td>{{ ucfirst($transaction->type) }}</td>
                <td class="{{ $transaction->type === 'credit' ? 'text-success' : 'text-danger' }}">
                    {{ number_format($transaction->amount, 2) }}
                </td>
                <td>{{ $transaction->narration }}</td>
                <td>{{ $transaction->subWallet->category ?? 'Main Wallet' }}</td>
                <td>{{ number_format($transaction->balance_after, 2) }}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
    {{ $transactions->links() }}
</div>
@endsection