<!-- resources/views/vendor/transact.blade.php -->
@extends('layouts.vendor')

@section('content')
<div class="container">
    <h2>Process Transaction</h2>
    <form method="POST" action="{{ route('vendor.transact.process') }}">
        @csrf
        <div class="mb-3">
            <label>Card Number</label>
            <input type="text" name="card_number" class="form-control" required>
            <small class="text-muted">Or scan QR code</small>
        </div>
        <div class="mb-3">
            <label>Amount</label>
            <input type="number" name="amount" class="form-control" required>
        </div>
        <div class="mb-3">
            <label>Category</label>
            <select name="category" class="form-select" required>
                @foreach($categories as $category)
                    <option value="{{ $category }}">{{ ucfirst($category) }}</option>
                @endforeach
            </select>
        </div>
        <div class="mb-3">
            <label>Description</label>
            <input type="text" name="description" class="form-control" maxlength="70" required>
        </div>
        <button type="submit" class="btn btn-primary">Process</button>
    </form>
</div>
@endsection

<!-- Add QR scanner button -->
<button type="button" class="btn btn-secondary" id="scan-qr">
    <i class="fas fa-qrcode"></i> Scan QR
</button>

<!-- Add hidden input for QR result -->
<input type="hidden" id="qr-result">

@push('scripts')
<script src="https://unpkg.com/html5-qrcode"></script>
<script>
    const html5QrCode = new Html5Qrcode("reader");
    const qrScanner = new Html5QrcodeScanner('reader', { fps: 10, qrbox: 250 });
    
    document.getElementById('scan-qr').addEventListener('click', () => {
        Html5Qrcode.getCameras().then(devices => {
            if (devices && devices.length) {
                html5QrCode.start(
                    devices[0].id,
                    {
                        fps: 10,
                        qrbox: 250
                    },
                    qrCode => {
                        document.querySelector('input[name="card_number"]').value = qrCode;
                        html5QrCode.stop();
                    },
                    error => console.error(error)
                );
            }
        });
    });
</script>
@endpush