const axios = require('axios');
const MockAdapter = require('axios-mock-adapter');

const mock = new MockAdapter(axios);

mock.onPost('/api/cards/activate').reply(config => {
  const data = JSON.parse(config.data);
  
  if (data.pin === '1234') {
    return [200, {
      status: 'success',
      data: {
        card: {
          id: 1,
          status: 'active'
        }
      }
    }];
  }
  
  return [422, {
    status: 'error',
    message: 'Invalid PIN'
  }];
});

module.exports = mock;